%define name        xsw
%define version     2.6.1
%define release     %mkrel 2

%define title               XShipWars
%define longtitle           Multiplayer Internet space combat gaming system
%define title_monitor       XShipWars monitor
%define longtitle_monitor   XShipWars universe monitor
%define title_unvedit       XShipWars editor
%define longtitle_unvedit   XShipWars universe editor

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Multiplayer Internet space combat gaming system
License:    GPL
Group:      Games/Other
URL:        http://wolfsinger.com/~wolfpack/XShipWars/
Source0:    http://wolfsinger.com/~wolfpack/XShipWars/%{name}-%{version}.tar.bz2
Source1:    %{name}.server.script.bz2
Source2:    %{name}.xsw-16.png.bz2
Source3:    %{name}.xsw-32.png.bz2
Source4:    %{name}.xsw-48.png.bz2
Source5:    %{name}.xsw-unvedit-16.png.bz2
Source6:    %{name}.xsw-unvedit-32.png.bz2
Source7:    %{name}.xsw-unvedit-48.png.bz2
Source8:    %{name}.xsw-monitor-16.png.bz2
Source9:    %{name}.xsw-monitor-32.png.bz2
Source10:   %{name}.xsw-monitor-48.png.bz2
Source11:   %{name}.logrotate.bz2
Patch0:     %{name}-2.2.1.server.conf.patch.bz2
Patch1:     %{name}-2.6.1-fix-format-errors.patch
ExcludeArch: x86_64
Requires:   xsw-data
Requires:   xsw-stimages
Requires:   xsw-stsounds
#BuildRequires:  libyiff-devel
BuildRequires:  libesound-devel
BuildRequires:  libxpm-devel
BuildRequires:  X11-devel
BuildRequires:  libjsw-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
XShipWars is a highly customizable and massively multiplayer space
gaming system designed for play entirly over the Internet.
It is the first completed and stable game for Linux written on Linux and
has been ported to a variety of other platforms.

%package monitor
Group:      Games/Other
Summary:    XShipWars universe monitor

%description monitor
This is the universe monitor part of XShipWars game.

%package unvedit
Group:      Games/Other
Summary:    XShipWars universe editor

%description unvedit
This is the universe editor part of XShipWars game.

%package server
Group:              Games/Other
Summary:            XShipWars universe server
Requires:           apache
# webapp macros and scriptlets
Requires(post):     rpm-helper >= 0.16
Requires(postun):   rpm-helper >= 0.16
BuildRequires:      rpm-helper >= 0.16
BuildRequires:      rpm-mandriva-setup >= 1.23

%description server
This is the server part of XShipWars game.

%prep
%setup -q -n %{name}-%{version}
bzcat %{SOURCE1} > swserv
bzcat %{SOURCE2} > %{name}-16.png
bzcat %{SOURCE3} > %{name}-32.png
bzcat %{SOURCE4} > %{name}-48.png
bzcat %{SOURCE5} > %{name}-unvedit-16.png
bzcat %{SOURCE6} > %{name}-unvedit-32.png
bzcat %{SOURCE7} > %{name}-unvedit-48.png
bzcat %{SOURCE8} > %{name}-monitor-16.png
bzcat %{SOURCE9} > %{name}-monitor-32.png
bzcat %{SOURCE10} > %{name}-monitor-48.png
bzcat %{SOURCE11} > %{name}.logrotate
%patch0
%patch1 -p 1

%build
export CFLAGS="%{optflags}"
./configure.client  Linux -v --disable=arch-i686
./configure.server  Linux -v --disable=arch-i686
./configure.monitor Linux -v --disable=arch-i686
./configure.unvedit Linux -v --disable=arch-i686
make -f Makefile.client all
make -f Makefile.server all
make -f Makefile.monitor all
make -f Makefile.unvedit all
cd server-plugins/samples
make CFLAGS="%{optflags} -shared"

%install
rm -rf %{buildroot}
make -f Makefile.client \
    PREFIX=%{buildroot}%{_prefix} \
    XSW_ETC_DIR=%{buildroot}%{_sysconfdir}/xshipwars \
    install
make -f Makefile.monitor \
    PREFIX=%{buildroot}%{_prefix} \
    install
make -f Makefile.unvedit \
    PREFIX=%{buildroot}%{_prefix} \
    install
make -f Makefile.server \
    SWSERV_BASE_DIR=%{buildroot}%{_localstatedir}/lib/swserv \
    SWSERV_BIN_DIR=%{buildroot}%{_gamesbindir} \
    SWSERV_DB_DIR=%{buildroot}%{_localstatedir}/lib/swserv \
    SWSERV_ETC_DIR=%{buildroot}%{_sysconfdir}/swserv \
    SWSERV_LOGS_DIR=%{buildroot}%{_var}/log/swserv \
    SWSERV_HTML_DIR=%{buildroot}%{_var}/www/swserv \
    SWSERV_TMP_DIR=%{buildroot}/tmp \
    install

# additional server stuff
install -d -m 755 %{buildroot}%{_libdir}/games/swserv
install -m 755 server-plugins/samples/*.so %{buildroot}%{_libdir}/games/swserv
install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 swserv %{buildroot}%{_initrddir}/swserv
install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/swserv

# icons
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png 
install -D -m 644 %{name}-monitor-48.png %{buildroot}%{_liconsdir}/%{name}-monitor.png 
install -D -m 644 %{name}-monitor-32.png %{buildroot}%{_iconsdir}/%{name}-monitor.png 
install -D -m 644 %{name}-monitor-16.png %{buildroot}%{_miconsdir}/%{name}-monitor.png 
install -D -m 644 %{name}-unvedit-48.png %{buildroot}%{_liconsdir}/%{name}-unvedit.png 
install -D -m 644 %{name}-unvedit-32.png %{buildroot}%{_iconsdir}/%{name}-unvedit.png 
install -D -m 644 %{name}-unvedit-16.png %{buildroot}%{_miconsdir}/%{name}-unvedit.png 

# menu entry
mkdir -p %{buildroot}%{_libdir}/menu

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Games-Other;Game;Simulation
EOF
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}-monitor.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title_monitor}
Comment=%{longtitle_monitor}
Exec=%{_gamesbindir}/monitor
Icon=%{name}-monitor
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Games-Other;Game;Simulation
EOF
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}-unvedit.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title_unvedit}
Comment=%{longtitle_unvedit}
Exec=%{_gamesbindir}/unvedit
Icon=%{name}-unvedit
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Games-Other;Game;Simulation
EOF

# apache conf
install -d -m 755 %{buildroot}%{_webappconfdir}
cat >%{buildroot}%{_webappconfdir}/swserv.conf <<EOF
# Mailman Apache configuration file
ScriptAlias /swserv %{_var}/www/swserv

<Directory %{_var}/www/swserv>
    Allow from all
</Directory>
EOF

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%if %mdkversion < 200900
%post monitor
%{update_menus}
%endif

%if %mdkversion < 200900
%postun monitor
%{clean_menus}
%endif

%if %mdkversion < 200900
%post unvedit
%{update_menus}
%endif

%if %mdkversion < 200900
%postun unvedit
%{clean_menus}
%endif

%post server
%_post_service swserv
%_post_webapp

%preun server
%_preun_service swserv

%postun server
%_postun_webapp

%files 
%defattr(-,root,root)
%doc CREDITS INSTALL LICENSE README
%config(noreplace) %{_sysconfdir}/xshipwars
%{_gamesbindir}/xsw
%{_gamesdatadir}/xshipwars
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%exclude %{_gamesdatadir}/xshipwars/images/monitor
%exclude %{_gamesdatadir}/xshipwars/images/unvedit

%files monitor
%defattr(-,root,root)
%{_gamesbindir}/monitor
%{_gamesdatadir}/xshipwars/images/monitor
%{_datadir}/applications/mandriva-%{name}-monitor.desktop
%{_miconsdir}/%{name}-monitor.png
%{_iconsdir}/%{name}-monitor.png
%{_liconsdir}/%{name}-monitor.png

%files unvedit
%defattr(-,root,root)
%{_gamesbindir}/unvedit
%{_gamesdatadir}/xshipwars/images/unvedit
%{_datadir}/applications/mandriva-%{name}-unvedit.desktop
%{_miconsdir}/%{name}-unvedit.png
%{_iconsdir}/%{name}-unvedit.png
%{_liconsdir}/%{name}-unvedit.png

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/swserv
%config(noreplace) %{_sysconfdir}/logrotate.d/swserv
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/swserv.conf
%{_initrddir}/swserv
%{_gamesbindir}/swserv
%{_libdir}/games/swserv
%attr(-,games,games) %{_localstatedir}/lib/swserv
%attr(-,games,games) %{_var}/log/swserv
%attr(-,games,games) %{_var}/www/swserv



%changelog
* Sun Jan 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.1-2mdv2009.1
+ Revision: 333462
- fix format errors

* Fri Jul 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.1-1mdv2009.0
+ Revision: 231900
- new version

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.5-4mdv2009.0
+ Revision: 222763
- does not compile on x86_64
- BuildRequires libjsw-devel
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- import xsw

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Sep 08 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.5.5-2mdv2007.0
- Fix XDG

* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.5-1mdv2007.0
- new version
- webapps macros
- xdg menus

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.5-2mdk
- fix requires

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.5-1mdk
- new release 
- %%mkrel

* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.4-1mdk 
- new release
- fix source url
- drop patch 1, merged upstream

* Mon Jun 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.1-1mdk 
- new release
- spec cleanup
- more FHS compliance
- build server plugins
- server apache integration

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.34.0-14mdk 
- explicit libdir

* Wed Jul 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.34.0-13mdk 
- fixed dependency

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.34.0-12mdk
- rebuild
- fixed menu section
- logrotate

* Mon Jan 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.34.0-11mdk
- buildrequires (slbd)
- fix executable perm
- quiet setup
- rm -rf %%{buildroot} in %%install

* Fri Aug 15 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.34.0-10mdk
- fixed dir ownership

* Sun May 11 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-9mdk
- rebuild
- unversioned buildrequires

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-8mdk
- prereq rpm-helper for server only 

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-7mdk
- prereq rpm-helper

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-6mdk
- back to original name
- unvedit and monitor data back in their packages
- new rpm macros

* Fri Sep 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.34.0-5mdk
- rebuild

* Sat Jun 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-4mdk
- build with gcc3.1
- png icons
- one archive per additional source

* Sat Oct 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-3mdk
- buildrequires libdb3.3-devel
- used games user instead of specific user
- rewrote init script

* Sat Oct 20 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-2mdk
- corrected a bug in server %%pre

* Thu Oct 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.34.0-1mdk
- first Mandrake stable branch release
